TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Composition ( map() phi, map() psi ) -> map()

### Description

<shortdoc> The composition 'phi*psi' of the maps 'phi' and 'psi'. </shortdoc>

### Examples

x_add_with_inv := function(a) # this function returns a map that adds 'a' local phi, psi; phi := function(b) return b+a; end; psi := function(c) return c-a; end; return Map(Z,Z,phi,psi); end; x_f := x_add_with_inv(5); x_f(2); x_Z7 := Quotient(Z,7); x_g := Composition(x_Z7.ext1,x_f); x_g(1); Preimage(Coerce(x_Z7,8),x_g);

### See also

map
Map ( any, any, func ) -> map()
Map ( any, any, func, func ) -> map()
Domain ( map() ) -> any
Codomain ( map() ) -> any
Image ( any, map() ) -> any
Preimage ( any, map() ) -> any

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack